using Brizco.Domain.Dtos.LargeDtos;

namespace Brizco.Domain.CommandQueries.Queries;

public sealed record GetShiftPlansQuery(int Page = 0 , long SelectedDate = 0 , DateTimeQueryFilter? DateTimeQueryFilter = DateTimeQueryFilter.CustomDate) :
    IRequest<List<ShiftPlanSDto>>;

public sealed record GetShiftPlanQuery(Guid Id) :
    IRequest<ShiftPlanLDto>;